cgGetParameterResourceType(3)

NAME
cgGetParameterResourceType - get a parameter's resource type

SYNOPSIS
  #include <Cg/cg.h>

  CGtype cgGetParameterResourceType( CGparameter param );

PARAMETERS

param
    The parameter for which the resource type will be returned.

RETURN VALUES
Returns the resource type of param.

Returns CG_UNKNOWN_TYPE if the parameter does not belong to a program, if the program is not compiled, or if an error occurs.

DESCRIPTION
cgGetParameterResourceType allows the application to retrieve the resource type for a parameter in a Cg program.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterResourceType was introduced in Cg 2.0.

SEE ALSO
cgGetParameterResource, cgGetParameterResourceIndex, cgGetParameterResourceSize, cgGetResource, cgGetResourceString